# vim: set sw=4 ts=4 et nu:

Name:               savelogs
Version:            1.98
Release:            4.23
Summary:            Save/Rotate/Delete Log Files nicely
Source:             http://search.cpan.org/CPAN/authors/id/S/SC/SCOTTW/savelogs-%{version}.tar.gz
URL:                http://search.cpan.org/~scottw/savelogs/
Group:              Productivity/File utilities
License:            GNU General Public License version 2 or later or Artistic (GPLv2+ or Artistic)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      perl(ExtUtils::MakeMaker)
BuildRequires:      make
%if 0%{?suse_version} >= 1120
BuildArch:          noarch
%endif

%description
savelogs is a flexible and robust log file archival system. Its logic is
simple: move (rename) the log file, filter data from the log file, store the
log file in an archive (via tar or gtar), and compress the archive (via gzip or
compress). After successful compression, the original log file is deleted.

All of the above phases are optional. This means that you may simply delete
files if you wish. Or you may simply compress existing log files. Or you may
move files and add them to a tar file but leave the tar file uncompressed, etc.
You pick ;o)

%prep
%setup -q

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%__make DESTDIR="%{buildroot}" install_vendor

find "%{buildroot}/" -type f \( -name .packlist -o -name perllocal.pod \) -exec %__rm {} \;
%__rm -f "%{buildroot}/var/adm/perl-modules/%{name}"

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes FAQ README
%{_bindir}/savelogs
%doc %{_mandir}/man1/savelogs.1*
%doc %{_mandir}/man1/rotation.1*

%changelog
* Tue Oct 18 2011 pascal.bleser@opensuse.org
- initial version (1.98)
